import time

import simonsays

from commands import convert_to_dict, gen_commands_words
from profile import PROFILE


def main(filename):
    r = convert_to_dict(filename)
    commands, words = gen_commands_words(r)
    PROFILE.load_profile(filename)
    print
    print "===========CAPTAINSAYS==========="
    print "File:", filename
    print
    print "To quit say:", PROFILE.get_option("quit_phrase")

    try:
        print "Running CaptainSays..."
        simonsays.main(words, commands)
    except:
        msg = "An error has occured.\nPlease make sure you have an activated microphone attached to your computer and try again.\n"
        print msg
        return msg

    print "Captainsays stopped."
    print
