
from commands import *
from resources import RESMAN


class Profile:
    filename = None
    config = None
    commandlist = None
    optionlist = None

    def load_profile(self, filename):
        self.filename = filename
        self.config = convert_to_dict(filename)
        self.commandlist = self.config["command-list"]
        self.optionlist = self.config["option-list"][0]["option"]

    def save_profile(self, filename):
        pass

    def save_html(self):
        pass

    def get_option(self, optname):
        for opt in self.optionlist:
            if optname in opt.keys():
                return opt[optname]
        return None

PROFILE = Profile()
